package com.ruoyi.system.domain.rule;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 收费模板对象 rl_fee_rule
 *
 * @author qzz
 * @date 2024-09-19
 */
@Data
public class EFeeRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ruleId;

    /** 租赁单位 */
    @Excel(name = "租赁单位")
    private String rentalUnit;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal price;

    /** 说明 */
    @Excel(name = "说明")
    private String explain;

    /** 骑行价格说明 */
    @Excel(name = "骑行价格说明")
    private String instructions;

    /** 超出单位 */
    @Excel(name = "超出单位")
    private String outUnit;

    /** 超出价格 */
    @Excel(name = "超出价格")
    private BigDecimal outPrice;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;
}
